> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Convert currency

> Convert currency

### Request body

`ConvertCurrencyRequest`

<ParamField body="amount" type="string" required />

<ParamField body="base_currency" type="string" required />

<ParamField body="quote_currency" type="string" required />

### Responses

<ResponseField name="200" type="ConversionResponse" />

<ResponseField name="400" type="ErrorBody" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.stateset.com/api/v1/currencies/convert' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "amount": "string",
    "base_currency": "string",
    "quote_currency": "string"
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "base_currency": "string",
    "converted_amount": "string",
    "original_amount": "string",
    "quote_currency": "string",
    "rate": "string"
  }
  ```
</ResponseExample>
